Bug 109211 - XQuartz bug on new MacBook Pro 2018 running macOS Mojave
Summary: XQuartz bug on new MacBook Pro 2018 running macOS Mojave
Status: RESOLVED DUPLICATE of bug 109168
Alias: None
Product: XQuartz
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 2.7.11 (xserver-1.18.4)
Hardware: Other Mac OS X (All)
: medium critical
Assignee: Jeremy Huddleston Sequoia
QA Contact: Jeremy Huddleston Sequoia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-02 20:04 UTC by Alan Glasser
Modified: 2019-01-15 21:11 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Glasser 2019-01-02 20:04:32 UTC
XQuartz 2.7.11 runs correctly on MacBook Pro 2015 running Mac OS Mojave.  On MacBook Pro 2018, same OS version, it gives the following error message:

$ xterm
dyld: Library not loaded: /opt/X11/lib/libXft.2.dylib
  Referenced from: /usr/bin/xterm
  Reason: no suitable image found.  Did find:
        /opt/X11/lib/libXft.2.dylib: code signature in (/opt/X11/lib/libXft.2.dylib) not valid for use in process using Library Validation: mapping process is a platform binary, but mapped file is not
        /opt/X11/lib/libXft.2.dylib: stat() failed with errno=1
Abort
$ 

I've verified that the libXft.2.dylib files are identical on the two Macs and are in the same location.

Please tell me how to get a reply.
Comment 1 Al Meier 2019-01-08 17:04:33 UTC
Jeremy,

I encounter a similar problem on the following platform:
MacBook Pro (15-inch, 2018)
Processor 2.9 Ghz Intel Core i9
32 GB 2400 Mhz DDR4
Running MAC OS 10.14.2

Completely fresh install of Xquartz 2.7.11

Install completed successful

Logged-out and back in

Issued the following in the xTerm - bash-3.2 window

bash-3.2$ xhost
dyld: Library not loaded: /opt/X11/lib/libXmuu.1.dylib
  Referenced from: /usr/bin/xhost
  Reason: no suitable image found.  Did find:
        /opt/X11/lib/libXmuu.1.dylib: code signature in (/opt/X11/lib/libXmuu.1.dylib) not valid for use in process using Library Validation: mapping process is a platform binary, but mapped file is not
        /opt/X11/lib/libXmuu.1.dylib: stat() failed with errno=1
Abort trap: 6
bash-3.2$ xhost +
dyld: Library not loaded: /opt/X11/lib/libXmuu.1.dylib
  Referenced from: /usr/bin/xhost
  Reason: no suitable image found.  Did find:
        /opt/X11/lib/libXmuu.1.dylib: code signature in (/opt/X11/lib/libXmuu.1.dylib) not valid for use in process using Library Validation: mapping process is a platform binary, but mapped file is not
        /opt/X11/lib/libXmuu.1.dylib: stat() failed with errno=1
Abort trap: 6
bash-3.2$
Comment 2 Jeremy Huddleston Sequoia 2019-01-15 21:11:36 UTC

*** This bug has been marked as a duplicate of bug 109168 ***


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.